/*
        graphext.h
        version 1.00    11/15/91
        graphics driver and font extensions for Turbo C++
        copyright (c) 1991 by James S. Clark
        all rights reserved
*/


#define SCRIPT_FONT     5
#define SIMPLE_FONT     6
#define TRISCRIPT_FONT  7
#define LITECOMP_FONT   8
#define EUROSTYLE_FONT  9


/*      extended BGI graphics drivers      */

/* !!        These "functions" are NOT user-callable          !! */
/* !! They are there just so you can link in graphics drivers !! */

void           _Cdecl VGA256_driver(void);
void           _Cdecl SVGA_driver(void);

extern int far _Cdecl VGA256_driver_far[];
extern int far _Cdecl SVGA_driver_far[];


/*      extended BGI graphics fonts        */

/* !!	These "functions" are NOT user-callable,   !! */
/* !! they are there just so you can link in fonts !! */

void           _Cdecl    script_font(void);
void           _Cdecl    simple_font(void);
void           _Cdecl triscript_font(void);
void           _Cdecl  litecomp_font(void);
void           _Cdecl eurostyle_font(void);

extern int far _Cdecl    script_font_far[];
extern int far _Cdecl    simple_font_far[];
extern int far _Cdecl triscript_font_far[];
extern int far _Cdecl  litecomp_font_far[];
extern int far _Cdecl eurostyle_font_far[];

