//
//      ICON.HPP
//      version 1.00    11/15/91
//      header for image manipulation Icon Class
//      copyright (c) 1991 by James S. Clark
//      all rights reserved
//


#ifndef ICON_HPP
#define ICON_HPP


class   Icon {
public:
	char    *icon[256];		// icon pointer array
	int	iconmax;		// max number of icons
	int	iconwide;
	int	iconhigh;
public:
	Icon	(int max = 256, int wide = 16, int high = 16);
	~Icon	();

	void 	get	(int num, int x, int y);		// standard
	void 	put	(int num, int x, int y);
	void 	draw	(int num, int x, int y);
        void    scan    (int num, int x, int y);

	void 	getmask	  (int num, int x, int y, int color);	// masked
	void 	putmasked (int num, int x, int y, int mask);
	void 	drawmasked(int num, int x, int y, int mask);

        void    reads   (int num, char *filename);              // disk I/O
	void 	read	(int num, char *filename);
	void 	writes	(int num, char *filename);
	void 	write	(int num, char *filename);
};

#endif

