//
//      MENU.HPP
//	version 1.00	11/15/91
//	header for MENUMGR.CPP text based menu manager
//	copyright (c) 1991 by James S. Clark
//	all rights reserved
//


#ifndef MENU_HPP
#define MENU_HPP


#include "WINDOW.HPP"


class 	Menu {
protected:
	Window  *owner;			        // menu window pointer
	int	id;				// menu id
	int	x, y;				// upper left position
	int	type;				// type bar or pop-up
	int	flag;				// menu window flags
	int	width;				// width of window
	int     numitems;			// number of items
	char    key[25];                        // menu hot keys
	char    *itemlist;			// formatted item list
	colors  *color;
private:
	void	hilightselection(int select, int last);
public:
	Menu	() 	{};
	Menu	(char *title, int nx, int ny, int flags, char *str, colors *clr);
	int	close	();
	int     select	();
};


class 	MenuBar : public Menu {
public:
	MenuBar	();
	MenuBar (char *title, int nx, int ny, int flags, char *str, colors *clr);
};


// int     Dialog::open(int x1, int y1, int x2, int y2, int flags, char *title, char *text);
// int     Error::open (int x, int y, int flags, char *title, char *text);

#endif
