//
//      POINT.HPP
//      version 1.00    11/10/91
//      header for Point Class
//      copyright (c) 1991 by James S. Clark
//      all rights reserved
//


#ifndef POINT_HPP
#define POINT_HPP


class Point {
friend	class	Rect;
protected:
        int     x, y;
public:
	Point	()               { x = 0;  y = 0;  };
	Point	(int nx, int ny) { x = nx; y = ny; };

	int     getx	();
	int     gety	();
        void    offset  (int dx, int dy);
        void    set     (int x, int y);

	Point&	operator = (const Point& p);
	Point&	operator + (const Point& p);
};

#endif
