//
//      CONTROL.HPP
//      version 1.00    11/15/91
//      header for control class
//	copyright (c) 1991 by James S. Clark
//	all rights reserved
//

#ifndef CONTROL_HPP
#define CONTROL_HPP


#include "WINDOW.HPP"


#define C_BUTTON 	0x01
#define C_CHECK 	0x02
#define C_DIAL          0x03
#define C_FIELD         0x04
#define C_SCROLL        0x05


class 	Control {
        Window  *owner;
        int     id;
        int     x,  y;
        int     x2, y2;
	int	flag;
	int	value;
	int	data;
	char	*string;
	char	*title;
	colors  *color;
public:
	int	type;
private:
        void    emboss     (int x, int y, int wide, char attr);
        int     drawbutton (int hilight);
        int     drawcheck  (int hilight);
        int     drawdial   (int hilight);
        int     drawfield  (int hilight);
        int     drawscroll (int hilight);
public:
	Control (Window *theWindow, int type, char *title, int x, int y, int flag, int val, colors *clr);
        int     draw    (int hilight);
        int     fieldedit();
	char   *getstr  (char *str);
	int     getvalue();
	int  	settitle(char *title);
	int  	setvalue(int val);
	int  	setstr  (char *str);
};


//	OTHER FUNCTIONS

int 	ControlSelect(Control *theCtrlList[]);

#endif
