//
//      ITEM.HPP
//      version 1.00    11/10/91
//      uses LIST.CPP for List Class
//      copyright (c) 1991 by James S. Clark
//      all rights reserved
//


#ifndef ITEM_HPP
#define ITEM_HPP


#include <string.h>	// strdup(), strcmp()
#include <stdio.h>	// puts()

#include "node.hpp"


class Item : public Node {
private:
	char	*name;
public:
	Item 	(char *newname)	{ name = strdup(newname); }
	~Item	(void)		{ delete name; }

	static	compare	(void *node1, void *node2)
				{ return(strcmp(((Item *) node1)->name,
					((Item *) node2)->name)); }
	static 	find	(void *node1, void *data)
				{ return(strcmp(((Item *) node1)->name,
					(char *) data)); }
	void	print   (void)  { puts(name); }
};

#endif

