//
//      PLAY.HPP
//      version 1.00    11/15/91
//      header for the Play Class
//      copyright (c) 1991 by James S. Clark
//      all rights reserved
//


#ifndef PLAY_HPP
#define PLAY_HPP

#include "sound.hpp"


enum    PlayModes { BACKGROUND, FOREGROUND };

class   Play :  public Sound {
private:
	int	status;			// active = 1, inactive = 0;
	int	mode;			// background is the default
	int	tempo;			// tempo in beats per minute
	int	octave;			// default octave is 3
private:
        int     getintval(char *);      // get integer from play string
public:
	Play	();
	~Play	();

	void	start	();		// turn on the play mode
	void	stop	();		// turn off the play mode
	void	string	(char *);	// load play string and go!
};

#endif
