//
//	SOUND.HPP
//      version 1.00    11/15/91
//      header file for Sound Class
//      copyright (c) 1991 by James S. Clark
//      all rights reserved
//

#ifndef	SOUND_HPP
#define	SOUND_HPP


class   Sound {
public:
	Sound();
	~Sound();

	void 	close	();             // close down the sound system
	int  	flush	();             // flush the sound buffer
	void 	init	();     	// initialize the sound system
	int	inplay	();		// is sound being played?
	void	noise	(int , int );	// turn on background noise
	void	noiseoff();		// turn off background noise
	int  	submit	(int , int ); 	// add tone to sound buffer
};

#endif

